登录
  • 人们都希望被别人需要 却往往事与愿违
  • 法律本身并不能保证言论自由; 要做到这一点, 必须所有人都有包容精神。 @爱因斯坦

nethogs – creating socket failed are you root?

哎?Linux Benny小土豆 6424次浏览 460字 10个评论

话说前几天更新了服务器之后,再用nethogs就会出现这种问题

Creating socket failed while establishing local IP - are you root?

nethogs - creating socket failed are you root?

分明是root权限的好嘛!

其实这是nethogs version 0.8.0的一个bug,只要更新到0.8.1即可。可是Ubuntu软件源里并没有更新到0.8.1,那么只好拿来传统大法,手动下载源码包编译安装了。

首先要确保安装了gcc、make这类工具。如果没有就先安装下。

sudo apt-get install build-essential
sudo apt-get install libncurses5-dev libpcap-dev
wget -c https://github.com/raboof/nethogs/archive/v0.8.1.tar.gz
tar xf v0.8.1.tar.gz
cd ./nethogs-0.8.1/
make && sudo make install

之后退出或者重启当前终端

sudo nethogs

即可发现变成了0.8.1.

nethogs - creating socket failed are you root?

问题完美解决。


文章版权归原作者所有丨本站默认采用CC-BY-NC-SA 4.0协议进行授权|
转载必须包含本声明,并以超链接形式注明原作者和本文原始地址:
https://www.bennythink.com/nethogs-bug-v0-8-0.html
喜欢 (6)
分享:-)
Benny小土豆
关于作者:
If you have any further questions, feel free to contact me in English or Chinese.
发表我的评论(代码和日志请使用Pastebin或Gist)
取消评论

                     

去你妹的实名制!

  • 昵称 (必填)
  • 邮箱 (必填,不要邮件提醒可以随便写)
  • 网址 (选填)
(10)个小伙伴在吐槽
  1. 不错,遇到了同样的问题。 顺利解决。
    yinflying2017-07-24 16:40 回复
    • Benny小土豆
      ?现在源里应该没有这个bug了
      Benny小土豆2017-07-24 16:52 回复
      • 我还是u14.04的版本,用着挺稳就一直没有升级过。 :mrgreen:
        yinflying2017-07-25 09:09 回复
        • Benny小土豆
          do-release-upgrade -a???
          Benny小土豆2017-07-25 09:13
        • 囧,不作死了。以后再换新的版本。
          yinflying2017-07-25 09:26
        • Benny小土豆
          等到17.04变成gnome就好了?
          Benny小土豆2017-07-25 09:57
  2. 解决了nethogs在DEBIAN8.0中的问题
    linuxer2016-05-22 14:10 回复
    • Benny小土豆
      哈哈,现在源里的应该没这个bug了
      Benny小土豆2016-05-22 14:12 回复
      • ubuntu 14里面的源还是有这个bug,但ubuntu 16里面的源就没有了
        wtks12017-01-11 10:06 回复
        • Benny小土豆
          嗯,14.04源比较旧
          Benny小土豆2017-01-11 10:24